/***************************************************************************
                          procinfo.h  -  description
                             -------------------
    begin                : Wed Jan 9 2002
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROCINFO_H
#define PROCINFO_H

#include <qstring.h>

int  getMemInfo(int *RamTotal,int *RamUsed,int *SwapTotal, int *SwapUsed);
bool getCpuTime(int *user,int *nice,int *system,int *idle);
int  getUpTime();
int getI8KInfo(double *cpuTemp,  double *leftFan, double *rightFan);
int getAcpiTemperature(double *cpuTemp);
bool getCpuInfoValue(const char *name,QString &value);
void adjustString(QString &str,int maxlen);

#endif
